View Issue Details

IDProjectCategoryView StatusLast Update
0007194GNUnetmessenger servicepublic2022-03-19 18:11
Reporterthejackimonster Assigned Tothejackimonster  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.16.2Fixed in Version0.16.2 
Summary0007194: Error at leaving messenger room
DescriptionI encountered this problem using the messenger-gtk GUI application trying out the new "leave chat" button, I implemented. The room seem to get closed but a new room without any information shows up in the GUI. I assume any message gets through after leaving (potentially the leave-message). However this is not intended in either the service or the libgnunetchat library.

So there has to be an issue and it indicates that it lies in the service.
Steps To ReproduceOpening a messenger room, joining with two different identities, writing a message and leaving the room with one of them (identities).
Additional InformationHere is output from the messenger service log that day (potentially there is something else causing a warning on top):

2022-03-15T17:43:21.368545+0100 messenger-8433 WARNING Decoding decrypted message failed!
2022-03-15T19:06:55.232494+0100 messenger-19041 ERROR Assertion failed at container_multihashmap.c:366. Aborting.

On client side you only get the following:

2022-03-15T19:06:55.327117+0100 messenger-gtk-19025 ERROR MQ_Error: 1

The gnunet logs indicate a crash in the service (unsure if the room is left by the user after restart or not if the crash happens during this procedure):

2022-03-15T19:06:55.327244+0100 arm-19010 WARNING Service `messenger' terminated with status signal/6, will restart in 1 ms
TagsNo tags attached.

Activities

thejackimonster

2022-03-15 23:58

developer   ~0018801

The commit b89df2053b1b0f9e33d676606546ac091a142e04 should fix this. The messenger service does not crash anymore when a member leaves a room. The member will still be totally removed and it's session cleared, invalidating all older messages. This might need to be adjusted in the future even though this is expected behavior from leaving a room.

schanzen

2022-03-19 18:11

manager   ~0018815

Released

Issue History

Date Modified Username Field Change
2022-03-15 19:17 thejackimonster New Issue
2022-03-15 19:17 thejackimonster Status new => assigned
2022-03-15 19:17 thejackimonster Assigned To => thejackimonster
2022-03-15 23:58 thejackimonster Note Added: 0018801
2022-03-16 00:00 thejackimonster Status assigned => resolved
2022-03-16 00:00 thejackimonster Resolution open => fixed
2022-03-16 00:00 thejackimonster Fixed in Version => Git master
2022-03-18 23:09 schanzen Fixed in Version Git master => 0.16.2
2022-03-18 23:09 schanzen Target Version => 0.16.2
2022-03-19 18:11 schanzen Note Added: 0018815
2022-03-19 18:11 schanzen Status resolved => closed